Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process
Class ProcessPackage

    java.lang.Object
      org.jbpm.process.ProcessPackage

All Implemented Interfaces:
  KiePackage, org.kie.internal.definition.KnowledgePackage

    public class ProcessPackage

extends Object
implements org.kie.internal.definition.KnowledgePackage

Constructor Summary
`ProcessPackage(String name)`

Method Summary
`void` | `addProcess(Process process)`
`Collection<FactType>` | `getFactTypes()` Return the fact types declared in this package The collection is immutable.
`Collection<String>` | `getFunctionNames()` Return the names of the functions defined in this package.
`Collection<Global>` | `getGlobalVariables()` Return the names of the globals defined in this package.
`String` | `getName()` The namespace for this package
`Collection<Process>` | `getProcesses()` Return the process definitions for this package.
`Collection<Query>` | `getQueries()` Return the query definitions for this package.
`Collection<Rule>` | `getRules()` Return the rule definitions for this package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessPackage

    public ProcessPackage(String name)

Method Detail

### getName

    public String getName()

  Description copied from interface: `KiePackage`
  The namespace for this package

  Specified by:
    `getName` in interface `KiePackage`
  Returns:

### getRules

    public Collection<Rule> getRules()

  Description copied from interface: `KiePackage`
  Return the rule definitions for this package. The collection is immutable.

  Specified by:
    `getRules` in interface `KiePackage`
  Returns:

### addProcess

    public void addProcess(Process process)

### getProcesses

    public Collection<Process> getProcesses()

  Description copied from interface: `KiePackage`
  Return the process definitions for this package. The collection is immutable.

  Specified by:
    `getProcesses` in interface `KiePackage`
  Returns:
    a Collection of Processes for this package.

### getFactTypes

    public Collection<FactType> getFactTypes()

  Description copied from interface: `KiePackage`
  Return the fact types declared in this package The collection is immutable.

  Specified by:
    `getFactTypes` in interface `KiePackage`
  Returns:
    a Collection of FactType for this package

### getQueries

    public Collection<Query> getQueries()

  Description copied from interface: `KiePackage`
  Return the query definitions for this package. The collection is immutable.

  Specified by:
    `getQueries` in interface `KiePackage`
  Returns:
    a Collection of Query for this package

### getFunctionNames

    public Collection<String> getFunctionNames()

  Description copied from interface: `KiePackage`
  Return the names of the functions defined in this package. The collection is immutable.

  Specified by:
    `getFunctionNames` in interface `KiePackage`
  Returns:
    a Collection of Function names for this package

### getGlobalVariables

    public Collection<Global> getGlobalVariables()

  Description copied from interface: `KiePackage`
  Return the names of the globals defined in this package. The collection is immutable.

  Specified by:
    `getGlobalVariables` in interface `KiePackage`
  Returns:
    a Collection of Global names for this package

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.